%define upstream_name	 VCS-Lite
%define upstream_version 0.12

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Minimal upstream_version control system
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://search.cpan.org/CPAN/authors/id/I/IV/IVORW/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Algorithm::Diff) >= 1.130.0
BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(IO::File)
BuildRequires: perl(Test::More) >= 0.700.0
BuildRequires: perl-Algorithm-Diff
BuildArch:  noarch

%description
This module provides the functions normally associated 
with a version control system, but without needing or 
implementing a version control system. Applications 
include wikis, document management systems and configuration 
management.

It makes use of the module Algorithm::Diff. It provides the 
facility for basic diffing, patching and merging.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_bindir}/*
%{perl_vendorlib}/VCS
%{_mandir}/*/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.120.0-3.mga6
+ Revision: 1035675
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.120.0-2.mga6
+ Revision: 965826
- Mageia 6 Mass Rebuild

* Sun Jun 21 2015 sander85 <sander85> 0.120.0-1.mga6
+ Revision: 838385
- update to 0.12

* Wed Oct 15 2014 umeabot <umeabot> 0.110.0-3.mga5
+ Revision: 750811
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.110.0-2.mga5
+ Revision: 686812
- Mageia 5 Mass Rebuild

* Tue Mar 25 2014 jquelin <jquelin> 0.110.0-1.mga5
+ Revision: 608433
- update to 0.11

* Sat Oct 19 2013 umeabot <umeabot> 0.100.0-2.mga4
+ Revision: 527410
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 0.100.0-1.mga4
+ Revision: 440049
- update to 0.10

* Sun Jan 13 2013 umeabot <umeabot> 0.90.0-2.mga3
+ Revision: 374643
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 0.90.0-1.mga1
+ Revision: 32780
- mageia rebuild
- imported package perl-VCS-Lite


* Thu Aug 20 2009 Jérôme Quelin <jquelin@mandriva.org> 0.90.0-1mdv2010.0
+ Revision: 418634
- update to 0.09
- update to 0.08
- update to 0.08
- update to 0.08
- update to 0.08

* Tue Jul 28 2009 Jérôme Quelin <jquelin@mandriva.org> 0.80.0-1mdv2010.0
+ Revision: 401919
- rebuild using %%perl_convert_version

* Wed Jul 23 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.08-4mdv2009.0
+ Revision: 242148
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun May 06 2007 Olivier Thauvin <nanardon@mandriva.org> 0.08-2mdv2008.0
+ Revision: 23602
- rebuild


* Mon Mar 06 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.08-1mdk
- New release 0.08
- spec cleanup

* Sat Nov 05 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.07-2mdk
- Fix BuildRequires

* Thu Sep 29 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.07-1mdk
- First mandriva release ( needed by WWW-Mediawiki-Client )

